LibreOffice: XNumberText Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XNumberText Interface Reference

This interface allows to spell out numbers and money amounts. More...

`import <XNumberText.idl;`

Inheritance diagram for XNumberText:

## Public Member Functions
string | getNumberText ([in] string aText, [in] com::sun::star::lang::Locale aLocale) raises ( com::sun::star::lang::IllegalArgumentException )
| spell out numbers and money amounts
sequence< com::sun::star::lang::Locale > | getAvailableLanguages ()
| returns a list of all supported languages.

## Detailed Description

This interface allows to spell out numbers and money amounts.

The current set of supported languages is:

- af : Afrikaans
- bg : Bulgarian
- ca : Catalan
- cs : Czech
- da : Danish
- de : German
- de-CH : Swiss Standard German
- de-LI : Swiss Standard German
- el : Greek
- en : English
- en-AU : Australian English
- en-GB : British English
- en-IE : Irish English
- en-NZ : New Zealand English
- eo : Esperanto
- es : Spanish
- et : Estonian
- fa : Persian (Farsi)
- fi : Finnish
- fr : French
- fr-BE : Belgian French
- fr-CH : Swiss French
- ga : Irish
- gl : Galician
- he : Hebrew
- hr : Croatian
- hu : Hungarian
- hu-Hung : Old Hungarian
- id : Indonesian
- is : Icelandic
- it : Italian
- ja : Japanese
- ko-KP : North-Korean
- ko-KR : South-Korean
- lb : Luxembourgish
- lg : Luganda
- lt : Lithuanian
- lv : Latvian
- mr : Marathi
- ms : Malay
- mt : Maltese
- mul : multiple languages (footnote numbering styles)
- nb : Bokmål (Norwegian)
- nl : Dutch
- nn : Nynorsk (Norwegian)
- no : Norwegian (Bokmål)
- pl : Polish
- pt-BR : Portuguese (Brasilian)
- pt-PT : Portuguese (Portugal)
- ro : Romanian
- Roman : Roman numbers
- ru : Russian
- sh : Serbian (written with latin characters)
- sl : Slovenian
- sq : Albanian
- sr : Serbian (written with cyrillic characters) (added with OOo 3.4)
- Suzhou : Suzhou numerals
- sv : Swedish
- th : Thai
- tr : Turkish
- uk : Ukrainian
- vi : Vietnamese
- zh : Chinese

Since
  LibreOffice 6.1

## Member Function Documentation

## ◆ getAvailableLanguages()

sequence< com::sun::star::lang::Locale > getAvailableLanguages | ( |  | ) |

returns a list of all supported languages.

## ◆ getNumberText()

string getNumberText | ( | [in] string | aText,
|  | [in] com::sun::star::lang::Locale | aLocale )
raises | ( | com::sun::star::lang::IllegalArgumentException ) |  |  |

spell out numbers and money amounts

Please note that text argument can contain prefixes separated by space, for example "ordinal" for ordinal numbers, "ordinal-number" for ordinal indicators and ISO 4217 currency codes.

Language modules list the supported prefixes by the input text "help".

Returns
  the result of the number name conversion.

Parameters

  aText | all the text including the part that should converted.
  aLocale | the locale for the target language of the number name conversion.

See also
  com::sun::star::lang::Locale

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XNumberText.idl